using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_MoBan_BiaoQian_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    private new int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改标签", "网站后台", "修改标签", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        ID = Convert.ToInt32(Request.QueryString["ID"]);
        if (this.IsPostBack)
            修改();
        else
            初始化();
    }

    private void 初始化()
    {
        Hashtable 模板标签 = 常用.SQL_获取(new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "模板_标签] WHERE [ID]=" + ID, 访问.连接));

        if (模板标签 == null)
            throw new Exception("模板标签不存在");

        BiaoQianZu.Text = 模板标签["标签组"].ToString();
        BiaoQianMingChen.Text = 模板标签["标签名称"].ToString();
        BiaoQianDaiMa.Text = 模板标签["标签代码"].ToString();
        MoRenZhi.Text = 模板标签["默认值"].ToString();
    }

    private void 修改()
    {
        String 标签组 = BiaoQianZu.Text;
        String 标签名称 = BiaoQianMingChen.Text;
        String 标签代码 = BiaoQianDaiMa.Text;
        String 默认值 = MoRenZhi.Text;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "模板_标签] SET " +
            "[标签组]=@标签组" +
            ",[标签名称]=@标签名称" +
            ",[标签代码]=@标签代码"+
            ",[默认值]=@默认值"
            +" WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@标签组", SqlDbType.NVarChar).Value = 标签组;
        语句.Parameters.Add("@标签名称", SqlDbType.NVarChar).Value = 标签名称;
        语句.Parameters.Add("@标签代码", SqlDbType.NText).Value = 标签代码;
        语句.Parameters.Add("@默认值", SqlDbType.NVarChar).Value = 默认值;
        语句.ExecuteNonQuery();

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
